
<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">

<head>
    <meta charset="ISO-8859-1">
    <title>Animal List</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark static-top" style="background-color:lightskyblue;height: 75px">
    <div class="container">
        <a class="navbar-brand" href="/home" style="color:black">Animals</a>
    </div>
</nav>


<style>
    a{
        text-decoration: none;
        color: black;
    }
    input::-webkit-input-placeholder {
        color: white;
        font-style: italic;
        background: lightblue;
    }
    input:-moz-placeholder {
        color: lightblue;
        font-style: italic;
        background: lightblue;
    }
    input:-ms-input-placeholder {
        color: lightblue;
        font-style: italic;
        background:lightskyblue;
    }
</style>
<br>
<div align="center">
    <h1>Animal List</h1>

    <form th:action="@{/home}" method="get" >
        <input name="keyword" placeholder="Animal name" type="search" required>
        <button type="submit">Search</button>
        &nbsp;
        <input type="button" value="Clear" onclick="clearFilter()">
    </form>
    <script>
        function clearFilter(){
            window.location='/home';
        }
    </script>
    <br>
    <br>
    <div class="card" style="padding-top: 30px; ">
        <div class="card-body">
            <div  class="container my-8">
                <p class="my-3" style="padding-left: 850px;padding-top: -100px">
                    <a href="/new" >
                        <input type="submit" class="btn btn-primary" style="background-color: black;color:white" value=" Add ">
                    </a> </p>

                <div class="col-md-10">
                    <table class="table table-striped table-responsive-md">

                        <thead>
                        <tr>
                            <th>Animal ID</th>
                            <th>Habitat</th>
                            <th>Animal Name</th>
                            <th>Animal Type</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="data : ${listData}">
                            <td th:text="${data.id}">ID</td>
                            <td th:text="${data.habitat}">Habitat</td>
                            <td th:text="${data.animalName}">Animal Name</td>
                            <td th:text="${data.animalType}">Animal Type</td>

                            <td>
                                <div>
                                    <a th:href="@{'/delete/' + ${data.id}}">
                                        <input type="submit" class="btn btn-primary" style="background-color: black;color:white" value=" Delete ">
                                    </a>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</body>
</html>

